cipra: cipra::tap13 Namespace Reference

| cipra 1.2.1 A C++11 Unit Testing Framework based on Test::More

- Main Page
- Related Pages
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Typedefs Pages
cipra::tap13 Namespace Reference

Holds symbols related to printing out TAP version 13 output. More...

## Functions
Output functions
These functions return opaque objects that can be sent to the test output with the iostream insertion (`operator<<`) operator. The user does not need to worry about the implementation of the return type; the user can just type, for instance,
    std::cout << cipra::tap13::header() << std::endl;
which will print `TAP version 13` to `STDOUT`.
details::output | header ()
| Output a TAP13 stream header. More...
details::output | plan (int total)
| Output a TAP13 plan. More...
details::output | diagnostic (std::string text)
| Output a TAP13 simple diagnostic. More...
details::output | yamlish_diagnostic ()
| Output a TAP13 YAMLish diagnostic. More...
details::output | todo (std::string text)
| Output a TAP13 `TODO` directive after an `ok` or `not ok` line. More...
details::output | skip (std::string text)
| Output a TAP13 `SKIP` directive after an `ok` or `not ok` line. More...
details::output | ok (int number, std::string name)
| Output a successful test. More...
details::output | not_ok (int number, std::string name)
| Output an unsuccessful test. More...
details::output | bail_out (std::string why)
| Output a TAP13 `Bail out!` line. More...

## Detailed Description

Holds symbols related to printing out TAP version 13 output.

The user should generally not need these functions, but they are provided in case the user does need them.

## Function Documentation

details::output cipra::tap13::bail_out | ( | std::string | why | ) |
| inline

Output a TAP13 `Bail out!` line.

Author
  Patrick M. Niedzielski

Date
  2012-09-30

Since
  1.0

Parameters

  [in] | why | The reason for stopping test execution early.

Returns
  An opaque object that can be printed on a std::ostream.

details::output cipra::tap13::diagnostic | ( | std::string | text | ) |
| inline

Output a TAP13 simple diagnostic.

Author
  Patrick M. Niedzielski

Date
  2012-09-30

Since
  1.0

Parameters

  [in] | text | The diagnostic text.

Returns
  An opaque object that can be printed on a std::ostream.

See Also
  cipra::tap13::yamlish_diagnostic()

details::output cipra::tap13::header | ( |  | ) |
| inline

Output a TAP13 stream header.

Author
  Patrick M. Niedzielski

Date
  2012-09-30

Since
  1.0

Returns
  An opaque object that can be printed on a std::ostream.

details::output cipra::tap13::not_ok | ( | int | number,
|  | std::string | name
| ) |  |
| inline

Output an unsuccessful test.

Author
  Patrick M. Niedzielski

Date
  2012-09-30

Since
  1.0

Parameters

  [in] | number | The test number.
  [in] | name | What the user called this test.

Returns
  An opaque object that can be printed on a std::ostream.

details::output cipra::tap13::ok | ( | int | number,
|  | std::string | name
| ) |  |
| inline

Output a successful test.

Author
  Patrick M. Niedzielski

Date
  2012-09-30

Since
  1.0

Parameters

  [in] | number | The test number.
  [in] | name | What the user called this test.

Returns
  An opaque object that can be printed on a std::ostream.

details::output cipra::tap13::plan | ( | int | total | ) |
| inline

Output a TAP13 plan.

Author
  Patrick M. Niedzielski

Date
  2012-09-30

Since
  1.0

Parameters

  [in] | total | The number of tests you plan on running.

Returns
  An opaque object that can be printed on a std::ostream.

details::output cipra::tap13::skip | ( | std::string | text | ) |
| inline

Output a TAP13 `SKIP` directive after an `ok` or `not ok` line.

Author
  Patrick M. Niedzielski

Date
  2012-09-30

Since
  1.0

Parameters

  [in] | text | The explanation of why this test was skipped.

Returns
  An opaque object that can be printed on a std::ostream.

details::output cipra::tap13::todo | ( | std::string | text | ) |
| inline

Output a TAP13 `TODO` directive after an `ok` or `not ok` line.

Author
  Patrick M. Niedzielski

Date
  2012-09-30

Since
  1.0

Parameters

  [in] | text | The explanation of what needs to be done to make the test succeed.

Returns
  An opaque object that can be printed on a std::ostream.

details::output cipra::tap13::yamlish_diagnostic | ( |  | ) |
| inline

Output a TAP13 YAMLish diagnostic.

Todo:
  Implement this.

Author
  Patrick M. Niedzielski

Date
  2012-09-30

Since
  1.0

Returns
  An opaque object that can be printed on a std::ostream.